Subject: Re: [PATCH v1 0/2] powerpc/pseries/cmm: two smaller fixes

From: Ritesh Harjani (IBM) <[email-masked]>
Date: Fri, 28 Nov 2025 13:19:08 +0530

"David Hildenbrand (Red Hat)" <[email-masked]> writes:

> On 11/28/25 06:05, Ritesh Harjani (IBM) wrote:
>> "David Hildenbrand (Red Hat)" <[email-masked]> writes:
>> 
>>> On 10/21/25 12:06, David Hildenbrand wrote:
>>>> Two smaller fixes identified while doing a bigger rework.
>>>>
>>>> Compile-tested only as I don't have an easy way to test right now.
>>>>
>>>> I would prefer for these patches to go through the MM tree as I will
>>>> be sending out a bigger version soon that is based on this series --
>>>> I split of the fixes from the other stuff.
>>>>
>>>
>>> Ping,
>>>
>>> I tried to get CMM running again (using the simulation mode I introduced
>>> a while back), but so far my attempts to get a reasonable powernv VM
>>> booted in QEMU failed :(
>>>
>>> (e.g., Fedora qcow2 images use xfs, but the open powernv loader is based
>>> on a 5.10 kernel without some mystical XFS feature ...)
>>>
>> 
>
> Hi Ritesh,
>
>> Sorry, I missed seeing this earlier.
>> 
>> Do you have the link to simulation mode which you are referring above
>> please? So far I didn't find the support of this beyond Linux LPAR
>> (pseries), but maybe I missed it.
>
> When I did a rework of the CMM balloon in 2019, I needed a way to test
> it. So I added
>
> commit b1713975c31ae20ecc40fd00191ee3fa51445d4a
> Author: David Hildenbrand <[email-masked]>
> Date:   Thu Oct 31 15:29:31 2019 +0100
>
>      powerpc/pseries/cmm: Simulation mode

aah right. I should have looked closely. I was thinking you meant
somewhere in Qemu, so I was only looking there.

>      
>      Let's allow to test the implementation without needing HW support.
>      When "simulate=1" is specified when loading the module, we bypass all
>      HW checks and HW calls. The sysfs file "simulate_loan_target_kb" can
>      be used to simulate HW requests.
>      
>      The simualtion mode can be activated using:
>        modprobe cmm debug=1 simulate=1
>      
>      And the requested loan target can be changed using:
>        echo X > /sys/devices/system/cmm/cmm0/simulate_loan_target_kb
>
>
> I allows for bypassing the absence of FW_FEATURE_CMO.
>

Right. Let me give it a try first with pseries Qemu. Otherwise I have an
access to pseries LPAR too. I can verify it there. 

> Back in the days I was able to test it with a pseries (or was it powernv?)

Agree the name can be a bit confusing. So 
powernv == Power Non-Virtualized that's the baremetal Power box.
pseries == is basically the Linux LPAR on PowerVM. Qemu/KVM also has
support for booting Linux pseries guest.

> machine we had here at RH. So far my attempts failed to test it in a
> similar fashion in QEMU.
>

Let me give it a try and I will update how it goes.

Thanks!
-ritesh